LibreOffice: XDeleteListener Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XDeleteListener Interface Referencepublished

This is the listener interface for receiving "approveDelete" and "deleted" events posted by a database form. More...

`import "XDeleteListener.idl";`

Inheritance diagram for XDeleteListener:

## Public Member Functions
boolean | approveDelete ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the current record of the database form will be deleted.
void | deleted ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when a database form has finished the delete processing and the data has been successfully deleted from the datasource.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is the listener interface for receiving "approveDelete" and "deleted" events posted by a database form.

"approveDelete" may be used to abort a deletion of the current data record.

Please do not use anymore, this interface is superseded by com::sun::star::form::XConfirmDeleteListener.

Deprecated

## Member Function Documentation

## ◆ approveDelete()

boolean approveDelete | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the current record of the database form will be deleted.

## ◆ deleted()

void deleted | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when a database form has finished the delete processing and the data has been successfully deleted from the datasource.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XDeleteListener.idl